# Update MySQL database name

This function renames a MySQL® database.

MySQL does not allow you to rename a database. When cPanel & WHM "renames" a database, the
system performs the following steps:
1. The system creates a new database.
2. The system moves data from the old database to the new database.
3. The system recreates grants and stored code in the new database.
4. The system deletes the old database and its grants.

Warning:

* It is potentially dangerous to rename a MySQL database. We strongly recommend that you
perform a backup of the database before you attempt to rename it.
* If any of the first three steps fail, the system returns an error and attempts to restore the database's original state.
 If the restoration process fails, the API function's error response describes these additional failures.
* In rare cases, the system creates the second database successfully, but fails to delete the old database or grants.
 The system treats the rename action as a success; however,
 the API function returns warnings that describe the failure to delete the old database or grants.

Important:

When you disable the MySQL/MariaDB role
and remote MySQL is not already configured, the system disables this function.

Endpoint: GET /Mysql/rename_database
Version: 11.137.9999.106
Security: BasicAuth

## Query parameters:

  - `newname` (string, required)
    The database's new name.

Important:

* If database prefixing is enabled, you must prefix this value with the account prefix
and an underscore (_). For example, for the dbuser database on the user cPanel account,
pass in a value of user_dbuser.
* The maximum length of the database name is 64 characters. However, due to the method that
cPanel & WHM uses to store MySQL database names, each underscore character requires two
characters of that limit. Therefore, if you enable database prefixing, the maximum length of
the database name is 63 characters, which includes both the database prefix and the
underscore character. Each additional underscore requires another two characters of that
limit.
    Example: "newlyrenamed"

  - `oldname` (string, required)
    The database's current name.
    Example: "mydb"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "rename_database"

  - `module` (string)
    The name of the module called.
    Example: "Mysql"

  - `result` (object)

  - `result.data` (object,null)

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success
* 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API.
Warnings describe non-critical failures or other problematic conditions noted while running a API.


